Subject: Re: bug#25295: Represent eieio objects using object-print in backtraces and edebug

From: Stefan Monnier <[email-masked]>
Date: Wed, 04 Jan 2017 21:11:15 -0500

> Maybe the better solution would be to make `prin1` (and `format`, ..)
> signal errors.  Instead, we could provide the printer with a special
> prin1-like function which basically "continues" the print job in the
> C code.

Actually, print.c is already setup to be (at least partially) reentrant
(for the case `printcharfun` is a function), so maybe making it fully
reentrant won't be too hard.  But we'd still want to provide some ad-hoc
prin1-like function which continues the print job rather than starting
a new nested one; this is needed e.g. if the custom printer wants to
print a value V but V has already been printed so it should be printed
as a reference #NN# to the previous one.

        Stefan